RHEL 9:Red Hat JBoss Enterprise Application Platform 7.4.9 安全更新(重要)(RHSA-2023: 0554)

critical Nessus 插件 ID 170911

简介

远程 Red Hat 主机缺少一个或多个安全更新。

描述

远程 Redhat Enterprise Linux 9 主机上安装的程序包受到 RHSA-2023: 0554 公告中提及的漏洞的影响。

- jquery:通过跨域 ajax 请求的跨站脚本 (CVE-2015-9251)

- bootstrap:data-target 属性的 XSS (CVE-2016-10735)

- nodejs-moment: 正则表达式拒绝服务 (CVE-2017-18214)

- bootstrap:重叠数据父级属性中的跨站脚本 (XSS) (CVE-2018-14040)

- bootstrap:scrollspy 的 data-target 属性中的跨站脚本 (XSS) (CVE-2018-14041)

- bootstrap:工具提示的 data-container 属性中的跨站脚本 (XSS) (CVE-2018-14042)

- jquery:对象原型中存在原型污染,导致拒绝服务、远程代码执行或属性注入 (CVE-2019-11358)

- bootstrap:工具提示或弹出框 data-template 属性的 XSS (CVE-2019-8331)

- jquery:存在跨站脚本,这是 injQuery.htmlPrefilter 方法不当所致 (CVE-2020-11022)

- jquery:通过传递给 DOM 操纵方法的 HTML 中的 <option> 标签执行不受信任的代码 (CVE-2020-11023)

- wildfly-elytron:可能通过使用不安全的比较器进行时序攻击 (

解决方案

更新受影响的程序包。

另见

https://access.redhat.com/security/cve/CVE-2015-9251

https://access.redhat.com/security/cve/CVE-2016-10735

https://access.redhat.com/security/cve/CVE-2017-18214

https://access.redhat.com/security/cve/CVE-2018-14040

https://access.redhat.com/security/cve/CVE-2018-14041

https://access.redhat.com/security/cve/CVE-2018-14042

https://access.redhat.com/security/cve/CVE-2019-8331

https://access.redhat.com/security/cve/CVE-2019-11358

https://access.redhat.com/security/cve/CVE-2020-11022

https://access.redhat.com/security/cve/CVE-2020-11023

https://access.redhat.com/security/cve/CVE-2022-3143

https://access.redhat.com/security/cve/CVE-2022-40149

https://access.redhat.com/security/cve/CVE-2022-40150

https://access.redhat.com/security/cve/CVE-2022-40152

https://access.redhat.com/security/cve/CVE-2022-42003

https://access.redhat.com/security/cve/CVE-2022-42004

https://access.redhat.com/security/cve/CVE-2022-45047

https://access.redhat.com/security/cve/CVE-2022-45693

https://access.redhat.com/security/cve/CVE-2022-46364

https://access.redhat.com/errata/RHSA-2023:0554

https://bugzilla.redhat.com/1399546

https://bugzilla.redhat.com/1553413

https://bugzilla.redhat.com/1601614

https://bugzilla.redhat.com/1601616

https://bugzilla.redhat.com/1601617

https://bugzilla.redhat.com/1668097

https://bugzilla.redhat.com/1686454

https://bugzilla.redhat.com/1701972

https://bugzilla.redhat.com/1828406

https://bugzilla.redhat.com/1850004

https://bugzilla.redhat.com/2124682

https://bugzilla.redhat.com/2134291

https://bugzilla.redhat.com/2135244

https://bugzilla.redhat.com/2135247

https://bugzilla.redhat.com/2135770

https://bugzilla.redhat.com/2135771

https://bugzilla.redhat.com/2145194

https://bugzilla.redhat.com/2155682

https://bugzilla.redhat.com/2155970

插件详情

严重性: Critical

ID: 170911

文件名: redhat-RHSA-2023-0554.nasl

版本: 1.3

类型: local

代理: unix

发布时间: 2023/1/31

最近更新时间: 2023/8/2

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

风险信息

VPR

风险因素: High

分数: 7.4

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.6

矢量: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

CVSS 分数来源: CVE-2020-11023

CVSS v3

风险因素: Critical

基本分数: 9.8

时间分数: 9.1

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:F/RL:O/RC:C

CVSS 分数来源: CVE-2022-46364

漏洞信息

CPE: cpe:/o:redhat:enterprise_linux:9, p-cpe:/a:redhat:enterprise_linux:eap7-apache-sshd, p-cpe:/a:redhat:enterprise_linux:eap7-hal-console, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-search, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-search-backend-jgroups, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-search-backend-jms, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-search-engine, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-search-orm, p-cpe:/a:redhat:enterprise_linux:eap7-hibernate-search-serialization-avro, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-common-api, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-common-impl, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-common-spi, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-core-api, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-core-impl, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-deployers-common, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-jdbc, p-cpe:/a:redhat:enterprise_linux:eap7-ironjacamar-validator, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-annotations, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-core, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-databind, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-datatype-jdk8, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-datatype-jsr310, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-jaxrs-base, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-jaxrs-json-provider, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-module-jaxb-annotations, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-modules-base, p-cpe:/a:redhat:enterprise_linux:eap7-jackson-modules-java8, p-cpe:/a:redhat:enterprise_linux:eap7-javaee-security-soteria, p-cpe:/a:redhat:enterprise_linux:eap7-javaee-security-soteria-enterprise, p-cpe:/a:redhat:enterprise_linux:eap7-jettison, p-cpe:/a:redhat:enterprise_linux:eap7-undertow, p-cpe:/a:redhat:enterprise_linux:eap7-undertow-server, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly-elytron, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly-elytron-tool, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly-javadocs, p-cpe:/a:redhat:enterprise_linux:eap7-wildfly-modules, p-cpe:/a:redhat:enterprise_linux:eap7-woodstox-core

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

可利用: true

易利用性: Exploits are available

补丁发布日期: 2023/1/31

漏洞发布日期: 2018/1/18

参考资料信息

CVE: CVE-2015-9251, CVE-2016-10735, CVE-2017-18214, CVE-2018-14040, CVE-2018-14041, CVE-2018-14042, CVE-2019-11358, CVE-2019-8331, CVE-2020-11022, CVE-2020-11023, CVE-2022-3143, CVE-2022-40149, CVE-2022-40150, CVE-2022-40152, CVE-2022-42003, CVE-2022-42004, CVE-2022-45047, CVE-2022-45693, CVE-2022-46364

CWE: 121, 208, 400, 502, 787, 79, 918

RHSA: 2023:0554